Get node pool
curl --request GET \
--url https://nks.nks.europe-west4.nscale.com/api/v1/nodepools/{nodePoolID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://nks.nks.europe-west4.nscale.com/api/v1/nodepools/{nodePoolID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nks.nks.europe-west4.nscale.com/api/v1/nodepools/{nodePoolID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"id": "600f9b41-1a97-4b85-b69f-901839678772",
"generation": 6,
"name": "workers-a",
"organizationId": "9a8c6370-4065-4d4a-9da0-7678df40cd9d",
"projectId": "e36c058a-8eba-4f5b-91f4-f6ffb983795c",
"creationTime": "2026-05-14T10:15:00.000Z",
"provisioningStatus": "provisioning",
"healthStatus": "unknown",
"tags": [
{
"name": "role",
"value": "worker"
}
]
},
"spec": {
"clusterId": "1e44f19a-21a9-43cc-a460-5d6f21247f65",
"provisioningMode": "compute",
"replicas": 5,
"compute": {
"flavorId": "g.8.standard"
},
"taints": [
{
"key": "nvidia.com/gpu",
"effect": "NoSchedule"
}
],
"labels": {
"accelerator": "nvidia-h100"
}
},
"status": {
"regionId": "uk-lon-1",
"observedGeneration": 5,
"kubernetesVersion": "v1.32.3",
"desiredReplicas": 3,
"currentReplicas": 3,
"readyReplicas": 3
}
}{
"error": "invalid_request",
"error_description": "request body invalid",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "access_denied",
"error_description": "authentication failed",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "forbidden",
"error_description": "user credentials do not have the required privileges",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "not_found",
"error_description": "the requested resource does not exist",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}{
"error": "server_error",
"error_description": "failed to token claim",
"trace_id": "57bc14d9bd461f0b5a72db830149b67a"
}Node Pools
Get node pool
Get a node pool.
GET
/
api
/
v1
/
nodepools
/
{nodePoolID}
Get node pool
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Opaque public node pool ID. Opaque public resource ID.
Required string length:
1 - 128Response
A node pool. The example shows a newly accepted resize before its generation has converged.
A cluster node pool.
Was this page helpful?